import turtle as tl

# Setup
tl.setup(600, 600, None, None)
t = tl.Turtle()
t.goto(100, 0)
t.color("Blue")
t2 = tl.Turtle()
t2.color("Red")
t2.goto(-100, 0)
tl.tracer(1)

# Função de colisão
def colide():
    # Verifica se as tartarugas estão na mesma posição (distância é 0)
    if t.distance(t2) < 10:  # Considerando uma distância pequena como colisão
        print("VITÓRIA!")
        tl.bye()  # Fecha a janela quando as tartarugas colidem

# Funções de movimento para a primeira tartaruga
def godir():
    tl.tracer(0)
    t.seth(0)
    t.forward(50)
    tl.update()
    tl.tracer(1)
    colide()  # Verifica colisão após o movimento

def goleft():
    tl.tracer(0)
    t.seth(180)
    t.forward(50)
    tl.update()
    tl.tracer(1)
    colide()  # Verifica colisão após o movimento

def goup():
    tl.tracer(0)
    t.seth(90)
    t.forward(50)
    tl.update()
    tl.tracer(1)
    colide()  # Verifica colisão após o movimento

def godown():
    tl.tracer(0)
    t.seth(270)
    t.forward(50)
    tl.update()
    tl.tracer(1)
    colide()  # Verifica colisão após o movimento

# Funções de movimento para a segunda tartaruga
def godir2():
    tl.tracer(0)
    t2.seth(0)
    t2.forward(50)
    tl.update()
    tl.tracer(1)
    colide()  # Verifica colisão após o movimento

def goleft2():
    tl.tracer(0)
    t2.seth(180)
    t2.forward(50)
    tl.update()
    tl.tracer(1)
    colide()  # Verifica colisão após o movimento

def goup2():
    tl.tracer(0)
    t2.seth(90)
    t2.forward(50)
    tl.update()
    tl.tracer(1)
    colide()  # Verifica colisão após o movimento

def godown2():
    tl.tracer(0)
    t2.seth(270)
    t2.forward(50)
    tl.update()
    tl.tracer(1)
    colide()  # Verifica colisão após o movimento

# Execução
tl.onkeypress(godir, "d")
tl.onkeypress(goleft, "a")
tl.onkeypress(goup, "w")
tl.onkeypress(godown, "s")
tl.onkeypress(godir2, "6")
tl.onkeypress(goleft2, "4")
tl.onkeypress(goup2, "8")
tl.onkeypress(godown2, "5")
tl.listen()

# Loop
tl.mainloop()
